Page MenuHomePhabricator

$UNIQ[hash]$ on Special:Undelete for items
Closed, ResolvedPublic

Description

E. g. this undelete page:

I think this $UNIQ thing is part of the migration to the new termbox, and is supposed to be replaced after it’s loaded from parser cache, but it looks like that doesn’t happen here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 3:12 PM
Addshore triaged this task as High priority.Mar 21 2019, 3:13 PM
Addshore added subscribers: Pablo-WMDE, Jakob_WMDE, Tarrow and 2 others.
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-11 board.

Change 498142 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] Revert "OutputPageBeforeHTML: do nothing for non entity pages"

https://gerrit.wikimedia.org/r/498142

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Mar 21 2019, 4:49 PM
Pablo-WMDE moved this task from Doing to Peer Review on the Wikidata-Termbox-Iteration-11 board.

Change 498142 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Revert "OutputPageBeforeHTML: do nothing for non entity pages"

https://gerrit.wikimedia.org/r/498142

@Lydia_Pintscher Care to take a look at this on beta wiki, e.g. https://wikidata.beta.wmflabs.org/wiki/Special:Undelete?title=Q4711

@Addshore @WMDE-leszek We believe this is fixed in the main line. Please advise regarding a potentially expedited prod deployment.

I believe this would mean "backporting" to the production branch in a SWAT deployment window. Given it's Friday today, this would need to wait until Monday?
@Addshore @Tarrow @Lucas_Werkmeister_WMDE as deployers, could you please assist with this?

Change 498354 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@wmf/1.33.0-wmf.22] Revert "OutputPageBeforeHTML: do nothing for non entity pages"

https://gerrit.wikimedia.org/r/498354

Added to Monday’s EU SWAT.

Thanks for fixing it. SWAT on Monday sounds good.

Change 498354 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.33.0-wmf.22] Revert "OutputPageBeforeHTML: do nothing for non entity pages"

https://gerrit.wikimedia.org/r/498354

Mentioned in SAL (#wikimedia-operations) [2019-03-25T11:35:40Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.33.0-wmf.22/extensions/Wikibase/repo: SWAT: [[gerrit:498354| Revert "OutputPageBeforeHTML: do nothing for non entity pages" (T218907)]] (duration: 01m 06s)

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:02 PM
Pablo-WMDE added a comment.EditedMar 26 2019, 11:37 AM

Prod seems fine again

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 26 2019, 11:58 AM
Lucas_Werkmeister_WMDE assigned this task to Pablo-WMDE.